
<?

// (1.C) the configuration possibilities ...

// (1.C.a) ... for the site default values
$defFeatures=array
(
  0 =>  array
  ( "key" =>  "SITE_ID",
    "exp" =>  "top-directory of the site",
    "val" =>  "site"
  ),
  1 =>  array
  ( "key" =>  "IMG_DIR",
    "exp" =>  "image directory for all site buttons",
    "val" =>  "img"
  ),
  2 =>  array
  ( "key" =>  "CSS_DIR",
    "exp" =>  "directory for style-sheet-files",
    "val" =>  "css"
  ),
  
  3 =>  array
  ( "key" =>  "INTRO_MARKER",
    "exp" =>  "the main file of a mainmenu (subsite) directory",
    "val" =>  "index"
  ),
  
  4 =>  array
  ( "key" =>  "LOGO_MARKER",
    "exp" =>  "the file which contains the mainmenu (subsite) logo",
    "val" =>  "logo"
  ),
  
  5 =>  array
  ( "key" =>  "MENU_MARKER",
    "exp" =>  "the file which contains the main-menu",
    "val" =>  "menu"
  ),
  6 =>  array
  ( "key" =>  "GUIDE_MARKER",
    "exp" =>  "the file which contains the sub-menu",
    "val" =>  "submenu"
  ),
  7 =>  array
  ( "key" =>  "WRITE_XML_DECLARATION",
    "exp" =>  "insert xml declaration (not adequate for intended scripts) (yes|no)",
    "val" =>  "no"
  ),
  
  100 => array
  ( "key" =>  "DL",
    "exp" =>  "(1) some default values for writing the pages of the site"
  ),

  101 =>  array
  ( "key" =>  "AUTHOR",
    "exp" =>  "default author of all pages of the site",
    "val" =>  ""
  ),
  
  102 =>  array
  ( "key" =>  "ENCODING",
    "exp" =>  "encoding of the site pages (iso-8859-1|utf-8)",
    "val" =>  "utf-8"
  ),

  103 =>  array
  ( "key" =>  "TITLE",
    "exp" =>  "default window title of all site pages",
    "val" =>  "?"
  ),

  104 =>  array
  ( "key" =>  "ABSTRACT",
    "exp" =>  "short (site) specification",
    "val" =>  ""
  ),
  
  105 =>  array
  ( "key" =>  "DESCRIPTION",
    "exp" =>  "long (site) specification",
    "val" =>  ""
  ),
  
  106 =>  array
  ( "key" =>  "KEYWORDS_EN",
    "exp" =>  "english keywords for specifying the site and their pages",
    "val" =>  ""
  ),
  
  107 =>  array
  ( "key" =>  "KEYWORDS_FREE",
    "exp" =>  "keywords in foreign language for specifying the site",
    "val" =>  ""
  ),
  
  108 =>  array
  ( "key" =>  "KEYWORDS_FREE_LANGUAGE",
    "exp" =>  "type of the used foreign language",
    "val" =>  "de"
  ),

  109 =>  array
  ( "key" =>  "BACKGROUND_PICTURE",
    "exp" =>  "the default background picture",
    "val" =>  ""
  ),

  110 =>  array
  ( "key" =>  "BACKGROUND_COLOR",
    "exp" =>  "the default background color",
    "val" =>  "#bbbbbb"
  ),

  111 =>  array
  ( "key" =>  "LOGO_BACKGROUND_PICTURE",
    "exp" =>  "the default background picture of the logo area",
    "val" =>  ""
  ),

  112 =>  array
  ( "key" =>  "LOGO_BACKGROUND_COLOR",
    "exp" =>  "the default background color of the logo area",
    "val" =>  ""
  ),

  113 =>  array
  ( "key" =>  "MMAR_BACKGROUND_PICTURE",
    "exp" =>  "the default background picture of the main menu area",
    "val" =>  ""
  ),

  114 =>  array
  ( "key" =>  "MMAR_BACKGROUND_COLOR",
    "exp" =>  "the default background color of the main menu area",
    "val" =>  ""
  ),

  115 =>  array
  ( "key" =>  "SMAR_BACKGROUND_PICTURE",
    "exp" =>  "the default background picture of the sub menu area",
    "val" =>  ""
  ),

  116 =>  array
  ( "key" =>  "SMAR_BACKGROUND_COLOR",
    "exp" =>  "the default background color of the sub menu area",
    "val" =>  ""
  ),
  
  117 =>  array
  ( "key" =>  "TEXT_COLOR",
    "exp" =>  "the default color for still unvisited links",
    "val" =>  "#440000"
  ),

  118 =>  array
  ( "key" =>  "LINK_COLOR",
    "exp" =>  "the default color for still unvisited links",
    "val" =>  "#0000ff"
  ),
  
  119 =>  array
  ( "key" =>  "VLINK_COLOR",
    "exp" =>  "the default color for already visited links",
    "val" =>  "#000088"
  ),
  120 =>  array
  ( "key" =>  "ALINK_COLOR",
    "exp" =>  "the default color for just active links",
    "val" =>  "#880000"
  ),
  121=>  array
  ( "key" =>  "HOVER_COLOR",
    "exp" =>  "the default color for mouse-over-links",
    "val" =>  "#ff0000"
  ),
  200 => array
  ( "key" =>  "DL",
    "exp" =>  "(2) some default infos for writing the index pages of the site"
  ),

  201 =>  array
  ( "key" =>  "MENU_AREA_HEIGHT",
    "exp" =>  "the height of of the main-menu-area",
    "val" =>  "128"
  ),
  202 =>  array
  ( "key" =>  "GUIDE_AREA_WIDTH",
    "exp" =>  "the width of of the sub-menu-area",
    "val" =>  "128"
  ),
  203 => array
  ( "key" =>  "WITH_LOGO_CORNER",
    "exp" =>  "the left above corner shall be reserved for a little logo (yes|no)",
    "val" =>  "yes"
  ),
  
  300 => array
  ( "key" =>  "DL",
    "exp" =>  "(3) some default infos for writing the logo pages of the site"
  ),
  
  301 =>  array
  ( "key" =>  "LOGO_TOP_MARGIN",
    "exp" =>  "distance between window-border and top logo-border",
    "val" =>  ""
  ),
  302 =>  array
  ( "key" =>  "LOGO",
    "exp" =>  "logofile (must be copied into SITE_ID/IMG_DIR)",
    "val" =>  ""
  ),    
  400 => array
  ( "key" =>  "DL",
    "exp" =>  "(4) some default infos for writing the menu pages of the site"
  ),
  401 =>  array
  ( "key" =>  "MAIN_MENU_TOP_MARGIN",
    "exp" =>  "distance between window-border and top menu-border",
    "val" =>  ""
  ),
  402 =>  array
  ( "key" =>  "MME_BGSTRIPE_COLOR",
    "exp" =>  "specific background-colors for the main-menu-entry",
    "val" =>  ""
  ),
  403 =>  array
  ( "key" =>  "MME_BGSTRIPE_SIZE",
    "exp" =>  "size of the background-strip containing the specific stripe background color",
    "val" =>  ""
  ),
  404 =>  array
  ( "key" =>  "HEADLINE",
    "exp" =>  "text or url which appears above of the mme-entries",
    "val" =>  ""
  ),
  405 =>  array
  ( "key" =>  "HEADPICTURE",
    "exp" =>  "image which appears above of the mme-entries",
    "val" =>  ""
  ),
  411 =>  array
  ( "key" =>  "SUBLINE",
    "exp" =>  "all main-menu entries which constitute a sub-site",
    "val" =>  ""
  ),
  412 =>  array
  ( "key" =>  "SUBPICTURE",
    "exp" =>  "image which appears under the mme-entries",
    "val" =>  ""
  ),
  
  500 => array
  ( "key" =>  "DL",
    "exp" =>  "(5) some default infos for writing the guide pages of the site"
  ),
  501 =>  array
  ( "key" =>  "MME_MARKER",
    "exp" =>  "button which appears before each mme-entry in the guide-area",
    "val" =>  ""
  ),
  502 =>  array
  ( "key" =>  "MME_MOUSEOVER_MARKER",
    "exp" =>  "corresponding mouseover button  of the mme_marker",
    "val" =>  ""
  ),
  
  503 =>  array
  ( "key" =>  "WITH_IMPRESSUM",
    "exp" =>  "insert a permanently visible link to an impressum-file (yes|no)",
    "val" =>  "yes"
  ),


);

// (1.C.b) ... for the mainmenu default values
$mmeFeatures=array
(
  0 =>  array
  ( "key" =>  "MME_ID",
    "exp" =>  "identifier of the subsite grouping mainmenu entry",
    "val" =>  "mme-id"
  ),

  100 => array
  ( "key" =>  "DL",
    "exp" =>  "(1) some default values for writing the pages of the subsite"
  ),

  101 =>  array
  ( "key" =>  "AUTHOR",
    "exp" =>  "default author of the (mainmenu entry) subsite",
    "val" =>  ""
  ),
  103 =>  array
  ( "key" =>  "TITLE",
    "exp" =>  "default window title of the (mainmenu entry) subsite",
    "val" =>  "?"
  ),

  104 =>  array
  ( "key" =>  "ABSTRACT",
    "exp" =>  "short (mainmenu entry) subsite specification",
    "val" =>  ""
  ),
  
  105 =>  array
  ( "key" =>  "DESCRIPTION",
    "exp" =>  "long (mainmenu entry) subsite specification",
    "val" =>  ""
  ),
  
  106 =>  array
  ( "key" =>  "KEYWORDS_EN",
    "exp" =>  "english keywords of this (mainmenu entry) subsite",
    "val" =>  ""
  ),
  
  107 =>  array
  ( "key" =>  "KEYWORDS_FREE",
    "exp" =>  "foreign language keywords of this (mainmenu entry) subsite",
    "val" =>  ""
  ),
  
  108 =>  array
  ( "key" =>  "KEYWORDS_FREE_LANGUAGE",
    "exp" =>  "type of the used foreign language",
    "val" =>  ""
  ),

  109 =>  array
  ( "key" =>  "BACKGROUND_PICTURE",
    "exp" =>  "the (mainmenu entry) subsite background picture",
    "val" =>  ""
  ),

  110 =>  array
  ( "key" =>  "BACKGROUND_COLOR",
    "exp" =>  "the (mainmenu entry) subsite background color",
    "val" =>  ""
  ),

  111 =>  array
  ( "key" =>  "LOGO_BACKGROUND_PICTURE",
    "exp" =>  "the (mainmenu entry) background picture of the logo area",
    "val" =>  ""
  ),

  112 =>  array
  ( "key" =>  "LOGO_BACKGROUND_COLOR",
    "exp" =>  "the (mainmenu entry) background color of the logo area",
    "val" =>  ""
  ),

  113 =>  array
  ( "key" =>  "MMAR_BACKGROUND_PICTURE",
    "exp" =>  "the (mainmenu entry) background picture of the main menu area",
    "val" =>  ""
  ),

  114 =>  array
  ( "key" =>  "MMAR_BACKGROUND_COLOR",
    "exp" =>  "the (mainmenu entry) background color of the main menu area",
    "val" =>  ""
  ),

  115 =>  array
  ( "key" =>  "SMAR_BACKGROUND_PICTURE",
    "exp" =>  "the (mainmenu entry) background picture of the sub menu area",
    "val" =>  ""
  ),

  116 =>  array
  ( "key" =>  "SMAR_BACKGROUND_COLOR",
    "exp" =>  "the (mainmenu entry) background color of the sub menu area",
    "val" =>  ""
  ),
  
  117 =>  array
  ( "key" =>  "TEXT_COLOR",
    "exp" =>  "text color of this (mainmenu entry) subsite",
    "val" =>  ""
  ),

  118 =>  array
  ( "key" =>  "LINK_COLOR",
    "exp" =>  "color for still unvisited links of this (mainmenu entry) subsite",
    "val" =>  ""
  ),
  
  119 =>  array
  ( "key" =>  "VLINK_COLOR",
    "exp" =>  "color for already visited links of this (mainmenu entry) subsite",
    "val" =>  ""
  ),
  120 =>  array
  ( "key" =>  "ALINK_COLOR",
    "exp" =>  "color for just active links of this (mainmenu entry) subsite",
    "val" =>  ""
  ),
  121=>  array
  ( "key" =>  "HOVER_COLOR",
    "exp" =>  "color for mouse-over-links of this (mainmenu entry) subsite",
    "val" =>  ""
  ),


  200 => array
  ( "key" =>  "DL",
    "exp" =>  "(2) valuesfor writing the index pages of this (mainmenu entry) subsite"
  ),

  201 =>  array
  ( "key" =>  "MENU_AREA_HEIGHT",
    "exp" =>  "the height of of the main-menu-area",
    "val" =>  ""
  ),
  202 =>  array
  ( "key" =>  "GUIDE_AREA_WIDTH",
    "exp" =>  "the width of of the sub-menu-area",
    "val" =>  ""
  ),
  203 => array
  ( "key" =>  "WITH_LOGO_CORNER",
    "exp" =>  "the left above corner shall be reserved for a little logo (yes|no)",
    "val" =>  "yes"
  ),
  300 => array
  ( "key" =>  "DL",
    "exp" =>  "(3) values for writing the logo pages of this (mainmenu entry) subsite"
  ),
  
  301 =>  array
  ( "key" =>  "LOGO_TOP_MARGIN",
    "exp" =>  "distance between window-border and top logo-border",
    "val" =>  ""
  ),
  302 =>  array
  ( "key" =>  "LOGO",
    "exp" =>  "logofile (must be copied into SITE_ID/IMG_DIR)",
    "val" =>  ""
  ),
    
  400 => array
  ( "key" =>  "DL",
    "exp" =>  "(4) values for writing the menu pages of this (mainmenu entry) subsite"
  ),
  401 =>  array
  ( "key" =>  "MAIN_MENU_TOP_MARGIN",
    "exp" =>  "distance between window-border and top menu-border",
    "val" =>  ""
  ),
  402 =>  array
  ( "key" =>  "HEADLINE",
    "exp" =>  "text or url which appears above of the mme-entries",
    "val" =>  ""
  ),
  403 =>  array
  ( "key" =>  "HEADPICTURE",
    "exp" =>  "image which appears above of the mme-entries",
    "val" =>  ""
  ),
  404 =>  array
  ( "key" =>  "MME_BGSTRIPE_COLOR",
    "exp" =>  "specific background-colors for the main-menu-entry",
    "val" =>  ""
  ),
  405 =>  array
  ( "key" =>  "MME_BGSTRIPE_SIZE",
    "exp" =>  "size of the background-strip containing BGSTRIPE_COLOR",
    "val" =>  ""
  ),  
  406 =>  array
  ( "key" =>  "MME_TEXT",
    "exp" =>  "main-menu-entry (appears as text or as alt-tag of a button)",
    "val" =>  "mme"
  ),
  407 =>  array
  ( "key" =>  "ENABLED_BUTTON",
    "exp" =>  "button for selecting the main-menu-entry",
    "val" =>  ""
  ),
  408 =>  array
  ( "key" =>  "MOUSEOVER_BUTTON",
    "exp" =>  "button which appears if the mouse is over normal button",
    "val" =>  ""
  ),
  409 =>  array
  ( "key" =>  "MOUSEDOWN_BUTTON",
    "exp" =>  "button which appears if the normal button has been touched",
    "val" =>  ""
  ),
  410 =>  array
  ( "key" =>  "DISABLED_BUTTON",
    "exp" =>  "button which appears if the mme has already been selected",
    "val" =>  ""
  ),
  411 =>  array
  ( "key" =>  "SUBLINE",
    "exp" =>  "all main-menu entries which constitute a sub-site",
    "val" =>  ""
  ),
  412 =>  array
  ( "key" =>  "SUBPICTURE",
    "exp" =>  "image which appears under the mme-entries",
    "val" =>  ""
  ),
  
  500 => array
  ( "key" =>  "DL",
    "exp" =>  "(5) values for writing the guide pages of this (mainmenu entry) subsite"
  ),
  501 =>  array
  ( "key" =>  "MME_MARKER",
    "exp" =>  "button which appears before each mme-entry in the guide-area",
    "val" =>  ""
  ),
  502 =>  array
  ( "key" =>  "MME_MOUSEOVER_MARKER",
    "exp" =>  "corresponding mouseover button  of the mme_marker",
    "val" =>  ""
  ),
  503 =>  array
  ( "key" =>  "WITH_IMPRESSUM",
    "exp" =>  "insert a permanently visible link to an impressum-file",
    "val" =>  ""
  ),
);

// (1.C.c) ... for the submenu values
$smeFeatures=array
(
  0 =>  array
  ( "key" =>  "SME_ID",
    "exp" =>  "identifier of the submenu entry",
    "val" =>  "sme-id"
  ),
  1 =>  array
  ( "key" =>  "LINK_TARGET",
    "exp" =>  "target-file of sub-menu-entry",
    "val" =>  "sme-id.html"
  ),
  2 =>  array
  ( "key" =>  "LINK_TARGET_PLACE",
    "exp" =>  "target-place of sub-menu-entry (content|_parent|_top)",
    "val" =>  "content"
  ),
  
  3 =>  array
  ( "key" =>  "SME_TEXT",
    "exp" =>  "text which hints to the target-file",
    "val" =>  "sme"
  ),

  
  100 => array
  ( "key" =>  "DL",
    "exp" =>  "(1) some default values for writing this page"
  ),

  101 =>  array
  ( "key" =>  "AUTHOR",
    "exp" =>  "author of the target-file itself",
    "val" =>  ""
  ),
  103 =>  array
  ( "key" =>  "TITLE",
    "exp" =>  "window-title of the target-file itself",
    "val" =>  "?"
  ),

  104 =>  array
  ( "key" =>  "ABSTRACT",
    "exp" =>  "short specification of the target-file itself",
    "val" =>  ""
  ),
  
  105 =>  array
  ( "key" =>  "DESCRIPTION",
    "exp" =>  "long specification of the target-file itself",
    "val" =>  ""
  ),
  
  106 =>  array
  ( "key" =>  "KEYWORDS_EN",
    "exp" =>  "english keywords specification of the target-file itself",
    "val" =>  ""
  ),
  
  107 =>  array
  ( "key" =>  "KEYWORDS_FREE",
    "exp" =>  "foreign language keywords specification of the target-file itself",
    "val" =>  ""
  ),
  
  108 =>  array
  ( "key" =>  "KEYWORDS_FREE_LANGUAGE",
    "exp" =>  "type of the used foreign language",
    "val" =>  ""
  ),

  109 =>  array
  ( "key" =>  "PAGE_BACKGROUND_PICTURE",
    "exp" =>  "background picture of the target-file itself",
    "val" =>  ""
  ),

  110 =>  array
  ( "key" =>  "PAGE_BACKGROUND_COLOR",
    "exp" =>  "background color of the target-file itself",
    "val" =>  "#ffffff"
  ),
  
  111 =>  array
  ( "key" =>  "TEXT_COLOR",
    "exp" =>  "text color of the target-file itself",
    "val" =>  "#000000"
  ),

  112 =>  array
  ( "key" =>  "LINK_COLOR",
    "exp" =>  "color for still unvisited links of the target-file itself",
    "val" =>  "#ff00ff"
  ),
  
  113 =>  array
  ( "key" =>  "VLINK_COLOR",
    "exp" =>  "color for already visited links of the target-file itself",
    "val" =>  "#880088"
  ),
  114 =>  array
  ( "key" =>  "ALINK_COLOR",
    "exp" =>  "color for just active links of the target-file itself",
    "val" =>  "#00ffff"
  ),
  115 =>  array
  ( "key" =>  "HOVER_COLOR",
    "exp" =>  "color for mouse-over-links of the target-file itself",
    "val" =>  "#00ffff"
  ),
);

?>
