<?
return array
(
  "SITE_ID" => "default", // top-directory of the site
  "IMG_DIR" => "img", // image directory for all site buttons
  "CSS_DIR" => "css", // directory for style-sheet-files
  "INTRO_MARKER" => "index", // the main file of a mainmenu (subsite) directory
  "LOGO_MARKER" => "logo", // the file which contains the mainmenu (subsite) logo
  "MENU_MARKER" => "menu", // the file which contains the main-menu
  "GUIDE_MARKER" => "submenu", // the file which contains the sub-menu
  "WRITE_XML_DECLARATION" => "yes", // insert xml declaration (not adequate for intended scripts) (yes|no)
  // ### (1) some default values for writing the pages of the site
  "AUTHOR" => "", // default author of all pages of the site
  "ENCODING" => "iso-8859-1", // encoding of the site pages (iso-8859-1|utf-8)
  "TITLE" => "?", // default window title of all site pages
  "ABSTRACT" => "", // short (site) specification
  "DESCRIPTION" => "", // long (site) specification
  "KEYWORDS_EN" => "", // english keywords for specifying the site and their pages
  "KEYWORDS_FREE" => "", // keywords in foreign language for specifying the site
  "KEYWORDS_FREE_LANGUAGE" => "de", // type of the used foreign language
  "BACKGROUND_PICTURE" => "", // the default background picture
  "BACKGROUND_COLOR" => "#bbbbbb", // the default background color
  "TEXT_COLOR" => "#440000", // the default color for still unvisited links
  "LINK_COLOR" => "#0000ff", // the default color for still unvisited links
  "VLINK_COLOR" => "#000088", // the default color for already visited links
  "ALINK_COLOR" => "#880000", // the default color for just active links
  "HOVER_COLOR" => "#ff0000", // the default color for mouse-over-links
  // ### (2) some default infos for writing the index pages of the site
  "MENU_AREA_HEIGHT" => "100", // the height of of the main-menu-area
  "GUIDE_AREA_WIDTH" => "130", // the width of of the sub-menu-area
  // ### (3) some default infos for writing the logo pages of the site
  "LOGO_TOP_MARGIN" => "", // distance between window-border and top logo-border
  "LOGO" => "", // logofile (must be copied into SITE_ID/IMG_DIR)
  // ### (4) some default infos for writing the menu pages of the site
  "MAIN_MENU_TOP_MARGIN" => "", // distance between window-border and top menu-border
  "MME_BGSTRIPE_COLOR" => "", // specific background-colors for the main-menu-entry
  "MME_BGSTRIPE_SIZE" => "", // size of the background-strip containing the specific stripe background color
  "HEADLINE" => "", // text or url which appears above of the mme-entries
  "HEADPICTURE" => "", // image which appears above of the mme-entries
  "SUBLINE" => "", // all main-menu entries which constitute a sub-site
  "SUBPICTURE" => "", // image which appears under the mme-entries
  // ### (5) some default infos for writing the guide pages of the site
  "MME_MARKER" => "", // button which appears before each mme-entry in the guide-area
  "WITH_IMPRESSUM" => "yes", // insert a permanently visible link to an impressum-file (yes|no)
  "MAIN_MENU" => array
  (
    0 => array
    (
      "MME_ID" => "mme-0", // identifier of the subsite grouping mainmenu entry
      // ### (1) some default values for writing the pages of the subsite
      "AUTHOR" => "", // default author of the (mainmenu entry) subsite
      "TITLE" => "?", // default window title of the (mainmenu entry) subsite
      "ABSTRACT" => "", // short (mainmenu entry) subsite specification
      "DESCRIPTION" => "", // long (mainmenu entry) subsite specification
      "KEYWORDS_EN" => "", // english keywords of this (mainmenu entry) subsite
      "KEYWORDS_FREE" => "", // foreign language keywords of this (mainmenu entry) subsite
      "KEYWORDS_FREE_LANGUAGE" => "", // type of the used foreign language
      "BACKGROUND_PICTURE" => "", // the (mainmenu entry) subsite background picture
      "BACKGROUND_COLOR" => "", // the (mainmenu entry) subsite background color
      "TEXT_COLOR" => "", // text color of this (mainmenu entry) subsite
      "LINK_COLOR" => "", // color for still unvisited links of this (mainmenu entry) subsite
      "VLINK_COLOR" => "", // color for already visited links of this (mainmenu entry) subsite
      "ALINK_COLOR" => "", // color for just active links of this (mainmenu entry) subsite
      "HOVER_COLOR" => "", // color for mouse-over-links of this (mainmenu entry) subsite
      // ### (2) valuesfor writing the index pages of this (mainmenu entry) subsite
      "MENU_AREA_HEIGHT" => "", // the height of of the main-menu-area
      "GUIDE_AREA_WIDTH" => "", // the width of of the sub-menu-area
      // ### (3) values for writing the logo pages of this (mainmenu entry) subsite
      "LOGO_TOP_MARGIN" => "", // distance between window-border and top logo-border
      "LOGO" => "", // logofile (must be copied into SITE_ID/IMG_DIR)
      // ### (4) values for writing the menu pages of this (mainmenu entry) subsite
      "MAIN_MENU_TOP_MARGIN" => "", // distance between window-border and top menu-border
      "HEADLINE" => "", // text or url which appears above of the mme-entries
      "HEADPICTURE" => "", // image which appears above of the mme-entries
      "MME_BGSTRIPE_COLOR" => "", // specific background-colors for the main-menu-entry
      "MME_BGSTRIPE_SIZE" => "", // size of the background-strip containing BGSTRIPE_COLOR
      "MME_TEXT" => "new mainmenu entry (default-0)", // main-menu-entry (appears as text or as alt-tag of a button)
      "ENABLED_BUTTON" => "", // button for selecting the main-menu-entry
      "MOUSEOVER_BUTTON" => "", // button which appears if the mouse is over normal button
      "MOUSEDOWN_BUTTON" => "", // button which appears if the normal button has been touched
      "DISABLED_BUTTON" => "", // button which appears if the mme has already been selected
      "SUBLINE" => "", // all main-menu entries which constitute a sub-site
      "SUBPICTURE" => "", // image which appears under the mme-entries
      // ### (5) values for writing the guide pages of this (mainmenu entry) subsite
      "MME_MARKER" => "", // button which appears before each mme-entry in the guide-area
      "WITH_IMPRESSUM" => "", // insert a permanently visible link to an impressum-file
      "SUB_MENU" => array
      (
        0 => array
        (
          "SME_ID" => "sme-(0-0)", // identifier of the submenu entry
          "LINK_TARGET" => "sme-0-0.html", // target-file of sub-menu-entry
          "SME_TEXT" => "new empty submenu entry (0-0)", // text which hints to the target-file
         // ### (1) some default values for writing this page 
          "AUTHOR" => "", // author of the target-file itself
          "TITLE" => "?", // window-title of the target-file itself
          "ABSTRACT" => "", // short specification of the target-file itself
          "DESCRIPTION" => "", // long specification of the target-file itself
          "KEYWORDS_EN" => "", // english keywords specification of the target-file itself
          "KEYWORDS_FREE" => "", // foreign language keywords specification of the target-file itself
          "KEYWORDS_FREE_LANGUAGE" => "", // type of the used foreign language
          "BACKGROUND_PICTURE" => "", // background picture of the target-file itself
          "BACKGROUND_COLOR" => "#aaaaaa", // background color of the target-file itself
          "TEXT_COLOR" => "#000044", // text color of the target-file itself
          "LINK_COLOR" => "#ff00ff", // color for still unvisited links of the target-file itself
          "VLINK_COLOR" => "#880088", // color for already visited links of the target-file itself
          "ALINK_COLOR" => "#00ffff", // color for just active links of the target-file itself
          "HOVER_COLOR" => "#00ffff", // color for mouse-over-links of the target-file itself
        ),
      ),
    ),
  ),
);
?>
