<?
return array
(
  "SITE_ID" => "lgsp", // top-directory of the site
  "IMG_DIR" => "img", // image directory for all site buttons
  "CSS_DIR" => "css", // directory for style-sheet-files
  "INTRO_MARKER" => "index", // the main file of a mainmenu (subsite) directory
  "LOGO_MARKER" => "logo", // the file which contains the mainmenu (subsite) logo
  "MENU_MARKER" => "menu", // the file which contains the main-menu
  "GUIDE_MARKER" => "submenu", // the file which contains the sub-menu
  "WRITE_XML_DECLARATION" => "yes", // insert xml declaration (not adequate for intended scripts) (yes|no)
  // ### (1) some default values for writing the pages of the site
  "AUTHOR" => "Karsten Reincke", // default author of all pages of the site
  "ENCODING" => "iso-8859-1", // encoding of the site pages (iso-8859-1|utf-8)
  "TITLE" => "edit mainmenu", // default window title of all site pages
  "ABSTRACT" => "The Little GNU Site Preparer", // short (site) specification
  "DESCRIPTION" => "Tool for generating the frame pages of a site ", // long (site) specification
  "KEYWORDS_EN" => "Site, Page, Editor", // english keywords for specifying the site and their pages
  "KEYWORDS_FREE" => "Site, Html, Seite", // keywords in foreign language for specifying the site
  "KEYWORDS_FREE_LANGUAGE" => "de", // type of the used foreign language
  "BACKGROUND_PICTURE" => "", // the default background picture
  "BACKGROUND_COLOR" => "#cccccc", // the default background color
  "LOGO_BACKGROUND_PICTURE" => "", // the default background picture of the logo area
  "LOGO_BACKGROUND_COLOR" => "", // the default background color of the logo area
  "MMAR_BACKGROUND_PICTURE" => "", // the default background picture of the main menu area
  "MMAR_BACKGROUND_COLOR" => "", // the default background color of the main menu area
  "SMAR_BACKGROUND_PICTURE" => "", // the default background picture of the sub menu area
  "SMAR_BACKGROUND_COLOR" => "", // the default background color of the sub menu area
  "TEXT_COLOR" => "#440000", // the default color for still unvisited links
  "LINK_COLOR" => "#0000ff", // the default color for still unvisited links
  "VLINK_COLOR" => "#000088", // the default color for already visited links
  "ALINK_COLOR" => "#880000", // the default color for just active links
  "HOVER_COLOR" => "#ff0000", // the default color for mouse-over-links
  // ### (2) some default infos for writing the index pages of the site
  "MENU_AREA_HEIGHT" => "108", // the height of of the main-menu-area
  "GUIDE_AREA_WIDTH" => "144", // the width of of the sub-menu-area
  "WITH_LOGO_CORNER" => "", // the left above corner shall be reserved for a little logo (yes|no)
  // ### (3) some default infos for writing the logo pages of the site
  "LOGO_TOP_MARGIN" => "4", // distance between window-border and top logo-border
  "LOGO" => "lgsp.png", // logofile (must be copied into SITE_ID/IMG_DIR)
  // ### (4) some default infos for writing the menu pages of the site
  "MAIN_MENU_TOP_MARGIN" => "0", // distance between window-border and top menu-border
  "MME_BGSTRIPE_COLOR" => "", // specific background-colors for the main-menu-entry
  "MME_BGSTRIPE_SIZE" => "0", // size of the background-strip containing the specific stripe background color
  "HEADLINE" => "Little GNU Site Preparer: Self Referring Demo", // text or url which appears above of the mme-entries
  "HEADPICTURE" => "", // image which appears above of the mme-entries
  "SUBLINE" => "", // all main-menu entries which constitute a sub-site
  "SUBPICTURE" => "", // image which appears under the mme-entries
  // ### (5) some default infos for writing the guide pages of the site
  "MME_MARKER" => "", // button which appears before each mme-entry in the guide-area
  "WITH_IMPRESSUM" => "yes", // insert a permanently visible link to an impressum-file (yes|no)
  "MAIN_MENU" => array
  (
    0 => array
    (
      "MME_ID" => "doc", // identifier of the subsite grouping mainmenu entry
      // ### (1) some default values for writing the pages of the subsite
      "AUTHOR" => "", // default author of the (mainmenu entry) subsite
      "TITLE" => "lgsp documentation", // default window title of the (mainmenu entry) subsite
      "ABSTRACT" => "The Little GNU Site Preparer: subsite for documenting the use of lgsp", // short (mainmenu entry) subsite specification
      "DESCRIPTION" => "Subsite for documenting the use of the Little GNU Site Preparer", // long (mainmenu entry) subsite specification
      "KEYWORDS_EN" => "", // english keywords of this (mainmenu entry) subsite
      "KEYWORDS_FREE" => "", // foreign language keywords of this (mainmenu entry) subsite
      "KEYWORDS_FREE_LANGUAGE" => "", // type of the used foreign language
      "BACKGROUND_PICTURE" => "", // the (mainmenu entry) subsite background picture
      "BACKGROUND_COLOR" => "", // the (mainmenu entry) subsite background color
      "LOGO_BACKGROUND_PICTURE" => "", // the (mainmenu entry) background picture of the logo area
      "LOGO_BACKGROUND_COLOR" => "", // the (mainmenu entry) background color of the logo area
      "MMAR_BACKGROUND_PICTURE" => "", // the (mainmenu entry) background picture of the main menu area
      "MMAR_BACKGROUND_COLOR" => "", // the (mainmenu entry) background color of the main menu area
      "SMAR_BACKGROUND_PICTURE" => "", // the (mainmenu entry) background picture of the sub menu area
      "SMAR_BACKGROUND_COLOR" => "", // the (mainmenu entry) background color of the sub menu area
      "TEXT_COLOR" => "", // text color of this (mainmenu entry) subsite
      "LINK_COLOR" => "", // color for still unvisited links of this (mainmenu entry) subsite
      "VLINK_COLOR" => "", // color for already visited links of this (mainmenu entry) subsite
      "ALINK_COLOR" => "", // color for just active links of this (mainmenu entry) subsite
      "HOVER_COLOR" => "", // color for mouse-over-links of this (mainmenu entry) subsite
      // ### (2) valuesfor writing the index pages of this (mainmenu entry) subsite
      "MENU_AREA_HEIGHT" => "", // the height of of the main-menu-area
      "GUIDE_AREA_WIDTH" => "", // the width of of the sub-menu-area
      "WITH_LOGO_CORNER" => "", // the left above corner shall be reserved for a little logo (yes|no)
      // ### (3) values for writing the logo pages of this (mainmenu entry) subsite
      "LOGO_TOP_MARGIN" => "", // distance between window-border and top logo-border
      "LOGO" => "", // logofile (must be copied into SITE_ID/IMG_DIR)
      // ### (4) values for writing the menu pages of this (mainmenu entry) subsite
      "MAIN_MENU_TOP_MARGIN" => "", // distance between window-border and top menu-border
      "HEADLINE" => "", // text or url which appears above of the mme-entries
      "HEADPICTURE" => "", // image which appears above of the mme-entries
      "MME_BGSTRIPE_COLOR" => "", // specific background-colors for the main-menu-entry
      "MME_BGSTRIPE_SIZE" => "", // size of the background-strip containing BGSTRIPE_COLOR
      "MME_TEXT" => "LGSP", // main-menu-entry (appears as text or as alt-tag of a button)
      "ENABLED_BUTTON" => "lgsp-select.png", // button for selecting the main-menu-entry
      "MOUSEOVER_BUTTON" => "lgsp-touched.png", // button which appears if the mouse is over normal button
      "MOUSEDOWN_BUTTON" => "lgsp-pressed.png", // button which appears if the normal button has been touched
      "DISABLED_BUTTON" => "lgsp-selected.png", // button which appears if the mme has already been selected
      "SUBLINE" => "Documentation, FAQ and Hints", // all main-menu entries which constitute a sub-site
      "SUBPICTURE" => "", // image which appears under the mme-entries
      // ### (5) values for writing the guide pages of this (mainmenu entry) subsite
      "MME_MARKER" => "lgsp-marker.png", // button which appears before each mme-entry in the guide-area
      "WITH_IMPRESSUM" => "", // insert a permanently visible link to an impressum-file
      "SUB_MENU" => array
      (
        0 => array
        (
          "SME_ID" => "lgsp-idea", // identifier of the submenu entry
          "LINK_TARGET" => "lgsp-idea.html", // target-file of sub-menu-entry
          "SME_TEXT" => "Idea", // text which hints to the target-file
         // ### (1) some default values for writing this page 
          "AUTHOR" => "", // author of the target-file itself
          "TITLE" => "The idea of LGSP", // window-title of the target-file itself
          "ABSTRACT" => "Explanation of the Idea of LGSP", // short specification of the target-file itself
          "DESCRIPTION" => "", // long specification of the target-file itself
          "KEYWORDS_EN" => "", // english keywords specification of the target-file itself
          "KEYWORDS_FREE" => "", // foreign language keywords specification of the target-file itself
          "KEYWORDS_FREE_LANGUAGE" => "", // type of the used foreign language
          "PAGE_BACKGROUND_PICTURE" => "", // background picture of the target-file itself
          "PAGE_BACKGROUND_COLOR" => "", // background color of the target-file itself
          "TEXT_COLOR" => "", // text color of the target-file itself
          "LINK_COLOR" => "", // color for still unvisited links of the target-file itself
          "VLINK_COLOR" => "", // color for already visited links of the target-file itself
          "ALINK_COLOR" => "", // color for just active links of the target-file itself
          "HOVER_COLOR" => "", // color for mouse-over-links of the target-file itself
        ),
        1 => array
        (
          "SME_ID" => "lgsp-howto", // identifier of the submenu entry
          "LINK_TARGET" => "lgsp-howto.html", // target-file of sub-menu-entry
          "SME_TEXT" => "Howto", // text which hints to the target-file
         // ### (1) some default values for writing this page 
          "AUTHOR" => "", // author of the target-file itself
          "TITLE" => "The LGSP howto", // window-title of the target-file itself
          "ABSTRACT" => "Howto work with LGSP", // short specification of the target-file itself
          "DESCRIPTION" => "", // long specification of the target-file itself
          "KEYWORDS_EN" => "", // english keywords specification of the target-file itself
          "KEYWORDS_FREE" => "", // foreign language keywords specification of the target-file itself
          "KEYWORDS_FREE_LANGUAGE" => "", // type of the used foreign language
          "PAGE_BACKGROUND_PICTURE" => "", // background picture of the target-file itself
          "PAGE_BACKGROUND_COLOR" => "", // background color of the target-file itself
          "TEXT_COLOR" => "", // text color of the target-file itself
          "LINK_COLOR" => "", // color for still unvisited links of the target-file itself
          "VLINK_COLOR" => "", // color for already visited links of the target-file itself
          "ALINK_COLOR" => "", // color for just active links of the target-file itself
          "HOVER_COLOR" => "", // color for mouse-over-links of the target-file itself
        ),
        2 => array
        (
          "SME_ID" => "lgsp-faq", // identifier of the submenu entry
          "LINK_TARGET" => "lgsp-faq.html", // target-file of sub-menu-entry
          "SME_TEXT" => "FAQ", // text which hints to the target-file
         // ### (1) some default values for writing this page 
          "AUTHOR" => "", // author of the target-file itself
          "TITLE" => "The LGSP faq", // window-title of the target-file itself
          "ABSTRACT" => "The LGSP faq", // short specification of the target-file itself
          "DESCRIPTION" => "", // long specification of the target-file itself
          "KEYWORDS_EN" => "", // english keywords specification of the target-file itself
          "KEYWORDS_FREE" => "", // foreign language keywords specification of the target-file itself
          "KEYWORDS_FREE_LANGUAGE" => "", // type of the used foreign language
          "PAGE_BACKGROUND_PICTURE" => "", // background picture of the target-file itself
          "PAGE_BACKGROUND_COLOR" => "", // background color of the target-file itself
          "TEXT_COLOR" => "", // text color of the target-file itself
          "LINK_COLOR" => "", // color for still unvisited links of the target-file itself
          "VLINK_COLOR" => "", // color for already visited links of the target-file itself
          "ALINK_COLOR" => "", // color for just active links of the target-file itself
          "HOVER_COLOR" => "", // color for mouse-over-links of the target-file itself
        ),
        3 => array
        (
          "SME_ID" => "lgsp-download", // identifier of the submenu entry
          "LINK_TARGET" => "lgsp-download.html", // target-file of sub-menu-entry
          "SME_TEXT" => "Download", // text which hints to the target-file
         // ### (1) some default values for writing this page 
          "AUTHOR" => "", // author of the target-file itself
          "TITLE" => "The LGSP download", // window-title of the target-file itself
          "ABSTRACT" => "The LGSP download", // short specification of the target-file itself
          "DESCRIPTION" => "", // long specification of the target-file itself
          "KEYWORDS_EN" => "", // english keywords specification of the target-file itself
          "KEYWORDS_FREE" => "", // foreign language keywords specification of the target-file itself
          "KEYWORDS_FREE_LANGUAGE" => "", // type of the used foreign language
          "PAGE_BACKGROUND_PICTURE" => "", // background picture of the target-file itself
          "PAGE_BACKGROUND_COLOR" => "", // background color of the target-file itself
          "TEXT_COLOR" => "", // text color of the target-file itself
          "LINK_COLOR" => "", // color for still unvisited links of the target-file itself
          "VLINK_COLOR" => "", // color for already visited links of the target-file itself
          "ALINK_COLOR" => "", // color for just active links of the target-file itself
          "HOVER_COLOR" => "", // color for mouse-over-links of the target-file itself
        ),
        4 => array
        (
          "SME_ID" => "lgsp-author", // identifier of the submenu entry
          "LINK_TARGET" => "lgsp-author.html", // target-file of sub-menu-entry
          "SME_TEXT" => "Author", // text which hints to the target-file
         // ### (1) some default values for writing this page 
          "AUTHOR" => "", // author of the target-file itself
          "TITLE" => "The LGSP author", // window-title of the target-file itself
          "ABSTRACT" => "The LGSP author", // short specification of the target-file itself
          "DESCRIPTION" => "", // long specification of the target-file itself
          "KEYWORDS_EN" => "", // english keywords specification of the target-file itself
          "KEYWORDS_FREE" => "", // foreign language keywords specification of the target-file itself
          "KEYWORDS_FREE_LANGUAGE" => "", // type of the used foreign language
          "PAGE_BACKGROUND_PICTURE" => "", // background picture of the target-file itself
          "PAGE_BACKGROUND_COLOR" => "", // background color of the target-file itself
          "TEXT_COLOR" => "", // text color of the target-file itself
          "LINK_COLOR" => "", // color for still unvisited links of the target-file itself
          "VLINK_COLOR" => "", // color for already visited links of the target-file itself
          "ALINK_COLOR" => "", // color for just active links of the target-file itself
          "HOVER_COLOR" => "", // color for mouse-over-links of the target-file itself
        ),
      ),
    ),
    1 => array
    (
      "MME_ID" => "stc", // identifier of the subsite grouping mainmenu entry
      // ### (1) some default values for writing the pages of the subsite
      "AUTHOR" => "", // default author of the (mainmenu entry) subsite
      "TITLE" => "configure your site", // default window title of the (mainmenu entry) subsite
      "ABSTRACT" => "The Little GNU Site Preparer: subsite for editing the global site parameters", // short (mainmenu entry) subsite specification
      "DESCRIPTION" => "editing the global site parameters means determining the default values which may be overwritten by more specific paramaters", // long (mainmenu entry) subsite specification
      "KEYWORDS_EN" => "", // english keywords of this (mainmenu entry) subsite
      "KEYWORDS_FREE" => "", // foreign language keywords of this (mainmenu entry) subsite
      "KEYWORDS_FREE_LANGUAGE" => "", // type of the used foreign language
      "BACKGROUND_PICTURE" => "lgsp-stc-bg.png", // the (mainmenu entry) subsite background picture
      "BACKGROUND_COLOR" => "", // the (mainmenu entry) subsite background color
      "LOGO_BACKGROUND_PICTURE" => "", // the (mainmenu entry) background picture of the logo area
      "LOGO_BACKGROUND_COLOR" => "", // the (mainmenu entry) background color of the logo area
      "MMAR_BACKGROUND_PICTURE" => "", // the (mainmenu entry) background picture of the main menu area
      "MMAR_BACKGROUND_COLOR" => "", // the (mainmenu entry) background color of the main menu area
      "SMAR_BACKGROUND_PICTURE" => "", // the (mainmenu entry) background picture of the sub menu area
      "SMAR_BACKGROUND_COLOR" => "", // the (mainmenu entry) background color of the sub menu area
      "TEXT_COLOR" => "#ffffff", // text color of this (mainmenu entry) subsite
      "LINK_COLOR" => "#000088", // color for still unvisited links of this (mainmenu entry) subsite
      "VLINK_COLOR" => "#000000", // color for already visited links of this (mainmenu entry) subsite
      "ALINK_COLOR" => "#880000", // color for just active links of this (mainmenu entry) subsite
      "HOVER_COLOR" => "#ff0000", // color for mouse-over-links of this (mainmenu entry) subsite
      // ### (2) valuesfor writing the index pages of this (mainmenu entry) subsite
      "MENU_AREA_HEIGHT" => "", // the height of of the main-menu-area
      "GUIDE_AREA_WIDTH" => "", // the width of of the sub-menu-area
      "WITH_LOGO_CORNER" => "", // the left above corner shall be reserved for a little logo (yes|no)
      // ### (3) values for writing the logo pages of this (mainmenu entry) subsite
      "LOGO_TOP_MARGIN" => "", // distance between window-border and top logo-border
      "LOGO" => "", // logofile (must be copied into SITE_ID/IMG_DIR)
      // ### (4) values for writing the menu pages of this (mainmenu entry) subsite
      "MAIN_MENU_TOP_MARGIN" => "", // distance between window-border and top menu-border
      "HEADLINE" => "", // text or url which appears above of the mme-entries
      "HEADPICTURE" => "", // image which appears above of the mme-entries
      "MME_BGSTRIPE_COLOR" => "", // specific background-colors for the main-menu-entry
      "MME_BGSTRIPE_SIZE" => "", // size of the background-strip containing BGSTRIPE_COLOR
      "MME_TEXT" => "configure your site", // main-menu-entry (appears as text or as alt-tag of a button)
      "ENABLED_BUTTON" => "lgsp-stc-select.png", // button for selecting the main-menu-entry
      "MOUSEOVER_BUTTON" => "lgsp-stc-touched.png", // button which appears if the mouse is over normal button
      "MOUSEDOWN_BUTTON" => "lgsp-stc-pressed.png", // button which appears if the normal button has been touched
      "DISABLED_BUTTON" => "lgsp-stc-selected.png", // button which appears if the mme has already been selected
      "SUBLINE" => "select and generate cfg-files and change their default values", // all main-menu entries which constitute a sub-site
      "SUBPICTURE" => "", // image which appears under the mme-entries
      // ### (5) values for writing the guide pages of this (mainmenu entry) subsite
      "MME_MARKER" => "", // button which appears before each mme-entry in the guide-area
      "WITH_IMPRESSUM" => "", // insert a permanently visible link to an impressum-file
      "SUB_MENU" => array
      (
        0 => array
        (
          "SME_ID" => "show-site-cfg", // identifier of the submenu entry
          "LINK_TARGET" => "show-site-cfg.html", // target-file of sub-menu-entry
          "SME_TEXT" => "show all parameters", // text which hints to the target-file
         // ### (1) some default values for writing this page 
          "AUTHOR" => "", // author of the target-file itself
          "TITLE" => "show whole site configruation file", // window-title of the target-file itself
          "ABSTRACT" => "prints the actual state of the whole site configuration file", // short specification of the target-file itself
          "DESCRIPTION" => "", // long specification of the target-file itself
          "KEYWORDS_EN" => "", // english keywords specification of the target-file itself
          "KEYWORDS_FREE" => "", // foreign language keywords specification of the target-file itself
          "KEYWORDS_FREE_LANGUAGE" => "", // type of the used foreign language
          "PAGE_BACKGROUND_PICTURE" => "", // background picture of the target-file itself
          "PAGE_BACKGROUND_COLOR" => "", // background color of the target-file itself
          "TEXT_COLOR" => "", // text color of the target-file itself
          "LINK_COLOR" => "", // color for still unvisited links of the target-file itself
          "VLINK_COLOR" => "", // color for already visited links of the target-file itself
          "ALINK_COLOR" => "", // color for just active links of the target-file itself
          "HOVER_COLOR" => "", // color for mouse-over-links of the target-file itself
        ),
        1 => array
        (
          "SME_ID" => "generate-site-cfg", // identifier of the submenu entry
          "LINK_TARGET" => "generate-site-cfg.html", // target-file of sub-menu-entry
          "SME_TEXT" => "generate file", // text which hints to the target-file
         // ### (1) some default values for writing this page 
          "AUTHOR" => "", // author of the target-file itself
          "TITLE" => "generate initial configuration file", // window-title of the target-file itself
          "ABSTRACT" => "generate configuration template file", // short specification of the target-file itself
          "DESCRIPTION" => "", // long specification of the target-file itself
          "KEYWORDS_EN" => "", // english keywords specification of the target-file itself
          "KEYWORDS_FREE" => "", // foreign language keywords specification of the target-file itself
          "KEYWORDS_FREE_LANGUAGE" => "", // type of the used foreign language
          "PAGE_BACKGROUND_PICTURE" => "", // background picture of the target-file itself
          "PAGE_BACKGROUND_COLOR" => "", // background color of the target-file itself
          "TEXT_COLOR" => "", // text color of the target-file itself
          "LINK_COLOR" => "", // color for still unvisited links of the target-file itself
          "VLINK_COLOR" => "", // color for already visited links of the target-file itself
          "ALINK_COLOR" => "", // color for just active links of the target-file itself
          "HOVER_COLOR" => "", // color for mouse-over-links of the target-file itself
        ),
        2 => array
        (
          "SME_ID" => "select-site-cfg", // identifier of the submenu entry
          "LINK_TARGET" => "select-site-cfg.html", // target-file of sub-menu-entry
          "SME_TEXT" => "select file", // text which hints to the target-file
         // ### (1) some default values for writing this page 
          "AUTHOR" => "", // author of the target-file itself
          "TITLE" => "select site configruation file", // window-title of the target-file itself
          "ABSTRACT" => "allows to select a new site configuration file", // short specification of the target-file itself
          "DESCRIPTION" => "", // long specification of the target-file itself
          "KEYWORDS_EN" => "", // english keywords specification of the target-file itself
          "KEYWORDS_FREE" => "", // foreign language keywords specification of the target-file itself
          "KEYWORDS_FREE_LANGUAGE" => "", // type of the used foreign language
          "PAGE_BACKGROUND_PICTURE" => "", // background picture of the target-file itself
          "PAGE_BACKGROUND_COLOR" => "", // background color of the target-file itself
          "TEXT_COLOR" => "", // text color of the target-file itself
          "LINK_COLOR" => "", // color for still unvisited links of the target-file itself
          "VLINK_COLOR" => "", // color for already visited links of the target-file itself
          "ALINK_COLOR" => "", // color for just active links of the target-file itself
          "HOVER_COLOR" => "", // color for mouse-over-links of the target-file itself
        ),
        3 => array
        (
          "SME_ID" => "change-site-cfg", // identifier of the submenu entry
          "LINK_TARGET" => "change-site-cfg.html", // target-file of sub-menu-entry
          "SME_TEXT" => "change global parameters", // text which hints to the target-file
         // ### (1) some default values for writing this page 
          "AUTHOR" => "", // author of the target-file itself
          "TITLE" => "change the global (default) site parameters", // window-title of the target-file itself
          "ABSTRACT" => "allows the changings of the global (default) site parameters", // short specification of the target-file itself
          "DESCRIPTION" => "", // long specification of the target-file itself
          "KEYWORDS_EN" => "", // english keywords specification of the target-file itself
          "KEYWORDS_FREE" => "", // foreign language keywords specification of the target-file itself
          "KEYWORDS_FREE_LANGUAGE" => "", // type of the used foreign language
          "PAGE_BACKGROUND_PICTURE" => "", // background picture of the target-file itself
          "PAGE_BACKGROUND_COLOR" => "", // background color of the target-file itself
          "TEXT_COLOR" => "", // text color of the target-file itself
          "LINK_COLOR" => "", // color for still unvisited links of the target-file itself
          "VLINK_COLOR" => "", // color for already visited links of the target-file itself
          "ALINK_COLOR" => "", // color for just active links of the target-file itself
          "HOVER_COLOR" => "", // color for mouse-over-links of the target-file itself
        ),
      ),
    ),
    2 => array
    (
      "MME_ID" => "mmc", // identifier of the subsite grouping mainmenu entry
      // ### (1) some default values for writing the pages of the subsite
      "AUTHOR" => "", // default author of the (mainmenu entry) subsite
      "TITLE" => "configure your main menu", // default window title of the (mainmenu entry) subsite
      "ABSTRACT" => "The Little GNU Site Preparer: subsite for editing the mainmenu", // short (mainmenu entry) subsite specification
      "DESCRIPTION" => "editing the mainmenu means adding a new entry, deleting an existing entry or changing the content of an existing entry", // long (mainmenu entry) subsite specification
      "KEYWORDS_EN" => "", // english keywords of this (mainmenu entry) subsite
      "KEYWORDS_FREE" => "", // foreign language keywords of this (mainmenu entry) subsite
      "KEYWORDS_FREE_LANGUAGE" => "", // type of the used foreign language
      "BACKGROUND_PICTURE" => "", // the (mainmenu entry) subsite background picture
      "BACKGROUND_COLOR" => "#ffffcc", // the (mainmenu entry) subsite background color
      "LOGO_BACKGROUND_PICTURE" => "", // the (mainmenu entry) background picture of the logo area
      "LOGO_BACKGROUND_COLOR" => "#ccffcc", // the (mainmenu entry) background color of the logo area
      "MMAR_BACKGROUND_PICTURE" => "", // the (mainmenu entry) background picture of the main menu area
      "MMAR_BACKGROUND_COLOR" => "#ccffff", // the (mainmenu entry) background color of the main menu area
      "SMAR_BACKGROUND_PICTURE" => "", // the (mainmenu entry) background picture of the sub menu area
      "SMAR_BACKGROUND_COLOR" => "#ffccff", // the (mainmenu entry) background color of the sub menu area
      "TEXT_COLOR" => "", // text color of this (mainmenu entry) subsite
      "LINK_COLOR" => "", // color for still unvisited links of this (mainmenu entry) subsite
      "VLINK_COLOR" => "", // color for already visited links of this (mainmenu entry) subsite
      "ALINK_COLOR" => "", // color for just active links of this (mainmenu entry) subsite
      "HOVER_COLOR" => "", // color for mouse-over-links of this (mainmenu entry) subsite
      // ### (2) valuesfor writing the index pages of this (mainmenu entry) subsite
      "MENU_AREA_HEIGHT" => "", // the height of of the main-menu-area
      "GUIDE_AREA_WIDTH" => "", // the width of of the sub-menu-area
      "WITH_LOGO_CORNER" => "", // the left above corner shall be reserved for a little logo (yes|no)
      // ### (3) values for writing the logo pages of this (mainmenu entry) subsite
      "LOGO_TOP_MARGIN" => "", // distance between window-border and top logo-border
      "LOGO" => "lgsp-peng.png", // logofile (must be copied into SITE_ID/IMG_DIR)
      // ### (4) values for writing the menu pages of this (mainmenu entry) subsite
      "MAIN_MENU_TOP_MARGIN" => "", // distance between window-border and top menu-border
      "HEADLINE" => "", // text or url which appears above of the mme-entries
      "HEADPICTURE" => "", // image which appears above of the mme-entries
      "MME_BGSTRIPE_COLOR" => "", // specific background-colors for the main-menu-entry
      "MME_BGSTRIPE_SIZE" => "", // size of the background-strip containing BGSTRIPE_COLOR
      "MME_TEXT" => "configure your main menu", // main-menu-entry (appears as text or as alt-tag of a button)
      "ENABLED_BUTTON" => "lgsp-mmc-select.png", // button for selecting the main-menu-entry
      "MOUSEOVER_BUTTON" => "lgsp-mmc-touched.png", // button which appears if the mouse is over normal button
      "MOUSEDOWN_BUTTON" => "lgsp-mmc-pressed.png", // button which appears if the normal button has been touched
      "DISABLED_BUTTON" => "lgsp-mmc-selected.png", // button which appears if the mme has already been selected
      "SUBLINE" => "expand and reduce the mainmenu and change the values of their entries", // all main-menu entries which constitute a sub-site
      "SUBPICTURE" => "", // image which appears under the mme-entries
      // ### (5) values for writing the guide pages of this (mainmenu entry) subsite
      "MME_MARKER" => "", // button which appears before each mme-entry in the guide-area
      "WITH_IMPRESSUM" => "", // insert a permanently visible link to an impressum-file
      "SUB_MENU" => array
      (
        0 => array
        (
          "SME_ID" => "change-mme", // identifier of the submenu entry
          "LINK_TARGET" => "change-mme.html", // target-file of sub-menu-entry
          "SME_TEXT" => "change entry", // text which hints to the target-file
         // ### (1) some default values for writing this page 
          "AUTHOR" => "", // author of the target-file itself
          "TITLE" => "change an existing mainmenu entry", // window-title of the target-file itself
          "ABSTRACT" => "changes the configuration values of an existing mainmenu entry", // short specification of the target-file itself
          "DESCRIPTION" => "", // long specification of the target-file itself
          "KEYWORDS_EN" => "", // english keywords specification of the target-file itself
          "KEYWORDS_FREE" => "", // foreign language keywords specification of the target-file itself
          "KEYWORDS_FREE_LANGUAGE" => "", // type of the used foreign language
          "PAGE_BACKGROUND_PICTURE" => "", // background picture of the target-file itself
          "PAGE_BACKGROUND_COLOR" => "", // background color of the target-file itself
          "TEXT_COLOR" => "", // text color of the target-file itself
          "LINK_COLOR" => "", // color for still unvisited links of the target-file itself
          "VLINK_COLOR" => "", // color for already visited links of the target-file itself
          "ALINK_COLOR" => "", // color for just active links of the target-file itself
          "HOVER_COLOR" => "", // color for mouse-over-links of the target-file itself
        ),
        1 => array
        (
          "SME_ID" => "generate-mme", // identifier of the submenu entry
          "LINK_TARGET" => "generate-mme.html", // target-file of sub-menu-entry
          "SME_TEXT" => "add entry", // text which hints to the target-file
         // ### (1) some default values for writing this page 
          "AUTHOR" => "", // author of the target-file itself
          "TITLE" => "generate new mainmenu entry", // window-title of the target-file itself
          "ABSTRACT" => "generates a new mainmenu entry using default values", // short specification of the target-file itself
          "DESCRIPTION" => "", // long specification of the target-file itself
          "KEYWORDS_EN" => "", // english keywords specification of the target-file itself
          "KEYWORDS_FREE" => "", // foreign language keywords specification of the target-file itself
          "KEYWORDS_FREE_LANGUAGE" => "", // type of the used foreign language
          "PAGE_BACKGROUND_PICTURE" => "", // background picture of the target-file itself
          "PAGE_BACKGROUND_COLOR" => "", // background color of the target-file itself
          "TEXT_COLOR" => "", // text color of the target-file itself
          "LINK_COLOR" => "", // color for still unvisited links of the target-file itself
          "VLINK_COLOR" => "", // color for already visited links of the target-file itself
          "ALINK_COLOR" => "", // color for just active links of the target-file itself
          "HOVER_COLOR" => "", // color for mouse-over-links of the target-file itself
        ),
        2 => array
        (
          "SME_ID" => "delete-mme", // identifier of the submenu entry
          "LINK_TARGET" => "delete-mme.html", // target-file of sub-menu-entry
          "SME_TEXT" => "delete entry", // text which hints to the target-file
         // ### (1) some default values for writing this page 
          "AUTHOR" => "", // author of the target-file itself
          "TITLE" => "delete existing mainmenu entry", // window-title of the target-file itself
          "ABSTRACT" => "erases an existing mainmenu entry and all corresponding submenus", // short specification of the target-file itself
          "DESCRIPTION" => "", // long specification of the target-file itself
          "KEYWORDS_EN" => "", // english keywords specification of the target-file itself
          "KEYWORDS_FREE" => "", // foreign language keywords specification of the target-file itself
          "KEYWORDS_FREE_LANGUAGE" => "", // type of the used foreign language
          "PAGE_BACKGROUND_PICTURE" => "", // background picture of the target-file itself
          "PAGE_BACKGROUND_COLOR" => "", // background color of the target-file itself
          "TEXT_COLOR" => "", // text color of the target-file itself
          "LINK_COLOR" => "", // color for still unvisited links of the target-file itself
          "VLINK_COLOR" => "", // color for already visited links of the target-file itself
          "ALINK_COLOR" => "", // color for just active links of the target-file itself
          "HOVER_COLOR" => "", // color for mouse-over-links of the target-file itself
        ),
        3 => array
        (
          "SME_ID" => "resort-mainmenu", // identifier of the submenu entry
          "LINK_TARGET" => "resort-mainmenu.html", // target-file of sub-menu-entry
          "SME_TEXT" => "resort mainmenu", // text which hints to the target-file
         // ### (1) some default values for writing this page 
          "AUTHOR" => "", // author of the target-file itself
          "TITLE" => "resort mainmenu", // window-title of the target-file itself
          "ABSTRACT" => "rearranges the order of the corresponding mainmenu entries", // short specification of the target-file itself
          "DESCRIPTION" => "", // long specification of the target-file itself
          "KEYWORDS_EN" => "", // english keywords specification of the target-file itself
          "KEYWORDS_FREE" => "", // foreign language keywords specification of the target-file itself
          "KEYWORDS_FREE_LANGUAGE" => "", // type of the used foreign language
          "PAGE_BACKGROUND_PICTURE" => "", // background picture of the target-file itself
          "PAGE_BACKGROUND_COLOR" => "", // background color of the target-file itself
          "TEXT_COLOR" => "", // text color of the target-file itself
          "LINK_COLOR" => "", // color for still unvisited links of the target-file itself
          "VLINK_COLOR" => "", // color for already visited links of the target-file itself
          "ALINK_COLOR" => "", // color for just active links of the target-file itself
          "HOVER_COLOR" => "", // color for mouse-over-links of the target-file itself
        ),
      ),
    ),
    3 => array
    (
      "MME_ID" => "smc", // identifier of the subsite grouping mainmenu entry
      // ### (1) some default values for writing the pages of the subsite
      "AUTHOR" => "", // default author of the (mainmenu entry) subsite
      "TITLE" => "configure your submenu", // default window title of the (mainmenu entry) subsite
      "ABSTRACT" => "The Little GNU Site Preparer: subsite for editing a submenu", // short (mainmenu entry) subsite specification
      "DESCRIPTION" => "editing the submenu means adding a new entry, deleting an existing entry or changing the content of an existing entry", // long (mainmenu entry) subsite specification
      "KEYWORDS_EN" => "", // english keywords of this (mainmenu entry) subsite
      "KEYWORDS_FREE" => "", // foreign language keywords of this (mainmenu entry) subsite
      "KEYWORDS_FREE_LANGUAGE" => "", // type of the used foreign language
      "BACKGROUND_PICTURE" => "", // the (mainmenu entry) subsite background picture
      "BACKGROUND_COLOR" => "", // the (mainmenu entry) subsite background color
      "LOGO_BACKGROUND_PICTURE" => "", // the (mainmenu entry) background picture of the logo area
      "LOGO_BACKGROUND_COLOR" => "", // the (mainmenu entry) background color of the logo area
      "MMAR_BACKGROUND_PICTURE" => "", // the (mainmenu entry) background picture of the main menu area
      "MMAR_BACKGROUND_COLOR" => "", // the (mainmenu entry) background color of the main menu area
      "SMAR_BACKGROUND_PICTURE" => "", // the (mainmenu entry) background picture of the sub menu area
      "SMAR_BACKGROUND_COLOR" => "", // the (mainmenu entry) background color of the sub menu area
      "TEXT_COLOR" => "", // text color of this (mainmenu entry) subsite
      "LINK_COLOR" => "", // color for still unvisited links of this (mainmenu entry) subsite
      "VLINK_COLOR" => "", // color for already visited links of this (mainmenu entry) subsite
      "ALINK_COLOR" => "", // color for just active links of this (mainmenu entry) subsite
      "HOVER_COLOR" => "", // color for mouse-over-links of this (mainmenu entry) subsite
      // ### (2) valuesfor writing the index pages of this (mainmenu entry) subsite
      "MENU_AREA_HEIGHT" => "", // the height of of the main-menu-area
      "GUIDE_AREA_WIDTH" => "", // the width of of the sub-menu-area
      "WITH_LOGO_CORNER" => "", // the left above corner shall be reserved for a little logo (yes|no)
      // ### (3) values for writing the logo pages of this (mainmenu entry) subsite
      "LOGO_TOP_MARGIN" => "", // distance between window-border and top logo-border
      "LOGO" => "", // logofile (must be copied into SITE_ID/IMG_DIR)
      // ### (4) values for writing the menu pages of this (mainmenu entry) subsite
      "MAIN_MENU_TOP_MARGIN" => "", // distance between window-border and top menu-border
      "HEADLINE" => "", // text or url which appears above of the mme-entries
      "HEADPICTURE" => "", // image which appears above of the mme-entries
      "MME_BGSTRIPE_COLOR" => "", // specific background-colors for the main-menu-entry
      "MME_BGSTRIPE_SIZE" => "", // size of the background-strip containing BGSTRIPE_COLOR
      "MME_TEXT" => "configure your submenu", // main-menu-entry (appears as text or as alt-tag of a button)
      "ENABLED_BUTTON" => "lgsp-smc-select.png", // button for selecting the main-menu-entry
      "MOUSEOVER_BUTTON" => "lgsp-smc-touched.png", // button which appears if the mouse is over normal button
      "MOUSEDOWN_BUTTON" => "lgsp-smc-pressed.png", // button which appears if the normal button has been touched
      "DISABLED_BUTTON" => "lgsp-smc-selected.png", // button which appears if the mme has already been selected
      "SUBLINE" => "expand and reduce submenus and change the values of their entries", // all main-menu entries which constitute a sub-site
      "SUBPICTURE" => "", // image which appears under the mme-entries
      // ### (5) values for writing the guide pages of this (mainmenu entry) subsite
      "MME_MARKER" => "", // button which appears before each mme-entry in the guide-area
      "WITH_IMPRESSUM" => "", // insert a permanently visible link to an impressum-file
      "SUB_MENU" => array
      (
        0 => array
        (
          "SME_ID" => "change-sme", // identifier of the submenu entry
          "LINK_TARGET" => "change-sme.html", // target-file of sub-menu-entry
          "SME_TEXT" => "change entry", // text which hints to the target-file
         // ### (1) some default values for writing this page 
          "AUTHOR" => "", // author of the target-file itself
          "TITLE" => "change an existing submenu entry configuration", // window-title of the target-file itself
          "ABSTRACT" => "changes the configuration values of an existing submenu entry", // short specification of the target-file itself
          "DESCRIPTION" => "", // long specification of the target-file itself
          "KEYWORDS_EN" => "", // english keywords specification of the target-file itself
          "KEYWORDS_FREE" => "", // foreign language keywords specification of the target-file itself
          "KEYWORDS_FREE_LANGUAGE" => "", // type of the used foreign language
          "PAGE_BACKGROUND_PICTURE" => "", // background picture of the target-file itself
          "PAGE_BACKGROUND_COLOR" => "", // background color of the target-file itself
          "TEXT_COLOR" => "", // text color of the target-file itself
          "LINK_COLOR" => "", // color for still unvisited links of the target-file itself
          "VLINK_COLOR" => "", // color for already visited links of the target-file itself
          "ALINK_COLOR" => "", // color for just active links of the target-file itself
          "HOVER_COLOR" => "", // color for mouse-over-links of the target-file itself
        ),
        1 => array
        (
          "SME_ID" => "generate-sme", // identifier of the submenu entry
          "LINK_TARGET" => "generate-sme.html", // target-file of sub-menu-entry
          "SME_TEXT" => "add entry", // text which hints to the target-file
         // ### (1) some default values for writing this page 
          "AUTHOR" => "", // author of the target-file itself
          "TITLE" => "generate new submenu entry", // window-title of the target-file itself
          "ABSTRACT" => "generates a new submenu entry using default configuration values", // short specification of the target-file itself
          "DESCRIPTION" => "", // long specification of the target-file itself
          "KEYWORDS_EN" => "", // english keywords specification of the target-file itself
          "KEYWORDS_FREE" => "", // foreign language keywords specification of the target-file itself
          "KEYWORDS_FREE_LANGUAGE" => "", // type of the used foreign language
          "PAGE_BACKGROUND_PICTURE" => "", // background picture of the target-file itself
          "PAGE_BACKGROUND_COLOR" => "", // background color of the target-file itself
          "TEXT_COLOR" => "", // text color of the target-file itself
          "LINK_COLOR" => "", // color for still unvisited links of the target-file itself
          "VLINK_COLOR" => "", // color for already visited links of the target-file itself
          "ALINK_COLOR" => "", // color for just active links of the target-file itself
          "HOVER_COLOR" => "", // color for mouse-over-links of the target-file itself
        ),
        2 => array
        (
          "SME_ID" => "delete-sme", // identifier of the submenu entry
          "LINK_TARGET" => "delete-sme.html", // target-file of sub-menu-entry
          "SME_TEXT" => "delete entry", // text which hints to the target-file
         // ### (1) some default values for writing this page 
          "AUTHOR" => "", // author of the target-file itself
          "TITLE" => "delete existing submenu entry", // window-title of the target-file itself
          "ABSTRACT" => "erases the configruation values for an existing submenu entry", // short specification of the target-file itself
          "DESCRIPTION" => "", // long specification of the target-file itself
          "KEYWORDS_EN" => "", // english keywords specification of the target-file itself
          "KEYWORDS_FREE" => "", // foreign language keywords specification of the target-file itself
          "KEYWORDS_FREE_LANGUAGE" => "", // type of the used foreign language
          "PAGE_BACKGROUND_PICTURE" => "", // background picture of the target-file itself
          "PAGE_BACKGROUND_COLOR" => "", // background color of the target-file itself
          "TEXT_COLOR" => "", // text color of the target-file itself
          "LINK_COLOR" => "", // color for still unvisited links of the target-file itself
          "VLINK_COLOR" => "", // color for already visited links of the target-file itself
          "ALINK_COLOR" => "", // color for just active links of the target-file itself
          "HOVER_COLOR" => "", // color for mouse-over-links of the target-file itself
        ),
        3 => array
        (
          "SME_ID" => "resort-submenu", // identifier of the submenu entry
          "LINK_TARGET" => "resort-mme-submenu.html", // target-file of sub-menu-entry
          "SME_TEXT" => "resort submenu", // text which hints to the target-file
         // ### (1) some default values for writing this page 
          "AUTHOR" => "", // author of the target-file itself
          "TITLE" => "resort submenu", // window-title of the target-file itself
          "ABSTRACT" => "rearranges the order of the corresponding submenu entries", // short specification of the target-file itself
          "DESCRIPTION" => "", // long specification of the target-file itself
          "KEYWORDS_EN" => "", // english keywords specification of the target-file itself
          "KEYWORDS_FREE" => "", // foreign language keywords specification of the target-file itself
          "KEYWORDS_FREE_LANGUAGE" => "", // type of the used foreign language
          "PAGE_BACKGROUND_PICTURE" => "", // background picture of the target-file itself
          "PAGE_BACKGROUND_COLOR" => "", // background color of the target-file itself
          "TEXT_COLOR" => "", // text color of the target-file itself
          "LINK_COLOR" => "", // color for still unvisited links of the target-file itself
          "VLINK_COLOR" => "", // color for already visited links of the target-file itself
          "ALINK_COLOR" => "", // color for just active links of the target-file itself
          "HOVER_COLOR" => "", // color for mouse-over-links of the target-file itself
        ),
      ),
    ),
    4 => array
    (
      "MME_ID" => "sce", // identifier of the subsite grouping mainmenu entry
      // ### (1) some default values for writing the pages of the subsite
      "AUTHOR" => "", // default author of the (mainmenu entry) subsite
      "TITLE" => "generate a new site", // default window title of the (mainmenu entry) subsite
      "ABSTRACT" => "The Little GNU Site Preparer: subsite for generating a site by evaluating a configuration file", // short (mainmenu entry) subsite specification
      "DESCRIPTION" => "generating a site means evaluating a LGSP configuration file and generating the described pages and directories", // long (mainmenu entry) subsite specification
      "KEYWORDS_EN" => "", // english keywords of this (mainmenu entry) subsite
      "KEYWORDS_FREE" => "", // foreign language keywords of this (mainmenu entry) subsite
      "KEYWORDS_FREE_LANGUAGE" => "", // type of the used foreign language
      "BACKGROUND_PICTURE" => "", // the (mainmenu entry) subsite background picture
      "BACKGROUND_COLOR" => "", // the (mainmenu entry) subsite background color
      "LOGO_BACKGROUND_PICTURE" => "", // the (mainmenu entry) background picture of the logo area
      "LOGO_BACKGROUND_COLOR" => "", // the (mainmenu entry) background color of the logo area
      "MMAR_BACKGROUND_PICTURE" => "", // the (mainmenu entry) background picture of the main menu area
      "MMAR_BACKGROUND_COLOR" => "", // the (mainmenu entry) background color of the main menu area
      "SMAR_BACKGROUND_PICTURE" => "", // the (mainmenu entry) background picture of the sub menu area
      "SMAR_BACKGROUND_COLOR" => "", // the (mainmenu entry) background color of the sub menu area
      "TEXT_COLOR" => "", // text color of this (mainmenu entry) subsite
      "LINK_COLOR" => "", // color for still unvisited links of this (mainmenu entry) subsite
      "VLINK_COLOR" => "", // color for already visited links of this (mainmenu entry) subsite
      "ALINK_COLOR" => "", // color for just active links of this (mainmenu entry) subsite
      "HOVER_COLOR" => "", // color for mouse-over-links of this (mainmenu entry) subsite
      // ### (2) valuesfor writing the index pages of this (mainmenu entry) subsite
      "MENU_AREA_HEIGHT" => "", // the height of of the main-menu-area
      "GUIDE_AREA_WIDTH" => "", // the width of of the sub-menu-area
      "WITH_LOGO_CORNER" => "no", // the left above corner shall be reserved for a little logo (yes|no)
      // ### (3) values for writing the logo pages of this (mainmenu entry) subsite
      "LOGO_TOP_MARGIN" => "", // distance between window-border and top logo-border
      "LOGO" => "", // logofile (must be copied into SITE_ID/IMG_DIR)
      // ### (4) values for writing the menu pages of this (mainmenu entry) subsite
      "MAIN_MENU_TOP_MARGIN" => "", // distance between window-border and top menu-border
      "HEADLINE" => "Self referring LGSP Demo: let generate the configured sites and view it", // text or url which appears above of the mme-entries
      "HEADPICTURE" => "lgsp-hl.png", // image which appears above of the mme-entries
      "MME_BGSTRIPE_COLOR" => "", // specific background-colors for the main-menu-entry
      "MME_BGSTRIPE_SIZE" => "", // size of the background-strip containing BGSTRIPE_COLOR
      "MME_TEXT" => "generate your site", // main-menu-entry (appears as text or as alt-tag of a button)
      "ENABLED_BUTTON" => "lgsp-sce-select.png", // button for selecting the main-menu-entry
      "MOUSEOVER_BUTTON" => "lgsp-sce-touched.png", // button which appears if the mouse is over normal button
      "MOUSEDOWN_BUTTON" => "lgsp-sce-pressed.png", // button which appears if the normal button has been touched
      "DISABLED_BUTTON" => "lgsp-sce-selected.png", // button which appears if the mme has already been selected
      "SUBLINE" => "", // all main-menu entries which constitute a sub-site
      "SUBPICTURE" => "", // image which appears under the mme-entries
      // ### (5) values for writing the guide pages of this (mainmenu entry) subsite
      "MME_MARKER" => "", // button which appears before each mme-entry in the guide-area
      "WITH_IMPRESSUM" => "", // insert a permanently visible link to an impressum-file
      "SUB_MENU" => array
      (
        0 => array
        (
          "SME_ID" => "visit-site", // identifier of the submenu entry
          "LINK_TARGET" => "visit-site.html", // target-file of sub-menu-entry
          "SME_TEXT" => "visit generated site", // text which hints to the target-file
         // ### (1) some default values for writing this page 
          "AUTHOR" => "", // author of the target-file itself
          "TITLE" => "regard already generated the site", // window-title of the target-file itself
          "ABSTRACT" => "regard already generated the site", // short specification of the target-file itself
          "DESCRIPTION" => "", // long specification of the target-file itself
          "KEYWORDS_EN" => "", // english keywords specification of the target-file itself
          "KEYWORDS_FREE" => "", // foreign language keywords specification of the target-file itself
          "KEYWORDS_FREE_LANGUAGE" => "", // type of the used foreign language
          "PAGE_BACKGROUND_PICTURE" => "", // background picture of the target-file itself
          "PAGE_BACKGROUND_COLOR" => "", // background color of the target-file itself
          "TEXT_COLOR" => "", // text color of the target-file itself
          "LINK_COLOR" => "", // color for still unvisited links of the target-file itself
          "VLINK_COLOR" => "", // color for already visited links of the target-file itself
          "ALINK_COLOR" => "", // color for just active links of the target-file itself
          "HOVER_COLOR" => "", // color for mouse-over-links of the target-file itself
        ),
        1 => array
        (
          "SME_ID" => "generate-site", // identifier of the submenu entry
          "LINK_TARGET" => "generate-site.html", // target-file of sub-menu-entry
          "SME_TEXT" => "generate new site", // text which hints to the target-file
         // ### (1) some default values for writing this page 
          "AUTHOR" => "", // author of the target-file itself
          "TITLE" => "evaluate configuration file and generate the site", // window-title of the target-file itself
          "ABSTRACT" => "evaluate configuration file and generate the site", // short specification of the target-file itself
          "DESCRIPTION" => "", // long specification of the target-file itself
          "KEYWORDS_EN" => "", // english keywords specification of the target-file itself
          "KEYWORDS_FREE" => "", // foreign language keywords specification of the target-file itself
          "KEYWORDS_FREE_LANGUAGE" => "", // type of the used foreign language
          "PAGE_BACKGROUND_PICTURE" => "", // background picture of the target-file itself
          "PAGE_BACKGROUND_COLOR" => "", // background color of the target-file itself
          "TEXT_COLOR" => "", // text color of the target-file itself
          "LINK_COLOR" => "", // color for still unvisited links of the target-file itself
          "VLINK_COLOR" => "", // color for already visited links of the target-file itself
          "ALINK_COLOR" => "", // color for just active links of the target-file itself
          "HOVER_COLOR" => "", // color for mouse-over-links of the target-file itself
        ),
      ),
    ),
  ),
);
?>
