<?
// Copyright (C) 2003, 2004, 2005, 2006 Karsten Reincke <karsten.reincke@fodina.de>
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software 
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//
// file <test.cfg.inc> version <#2.0.0#> of project <lgsp>
return array
(
  "SITE_ID" => "test",
  "IMG_DIR" => "pictures",
  "CSS_DIR" => "css",
  
  "INTRO_MARKER" => "index",
  "LOGO_MARKER" => "logo",
  "MENU_MARKER" => "menu",
  "GUIDE_MARKER" => "guide",
  
  "AUTHOR" => "Vorname Nachname",
  "ENCODING" => "iso-8859-1",

  "BACKGROUND_PICTURE" => "",
  "BACKGROUND_COLOR" => "#aaaaaa",

  "TEXT_COLOR" => "#000000",
  "LINK_COLOR" => "blue",
  "VLINK_COLOR" => "red",
  "ALINK_COLOR" => "green",
  "HOVER_COLOR" => "yellow",

  
  "MENU_AREA_HEIGHT" => "120",
  "GUIDE_AREA_WIDTH" => "80",

  "LOGO_TOP_MARGIN" => "4",
  "LOGO" => "site-logo.png",

  "MAIN_MENU_TOP_MARGIN" =>"0",
  "MAIN_MENU" => array
  (
    0 => array
    (
      "MME_ID" => "mme1",

      "LOGO_TOP_MARGIN" => "4",
      "LOGO" => "site-logo.png",

      "MAIN_MENU_TOP_MARGIN" => "0",
      
      "HEADLINE" => "http://www.gnu.org/",
      "HEADPICTURE" => "mme1-headline.png",
      "MME_TEXT" => "mme1-entry",
      "MME_BGSTRIPE_COLOR" => "#440044",
      "ENABLED_BUTTON" => "mme1-select.png",
      "MOUSEOVER_BUTTON" => "mme1-touched.png",
      "MOUSEDOWN_BUTTON" => "mme1-pressed.png",
      "DISABLED_BUTTON" => "mme1-selected.png",
      
      "SUBLINE" => "http://www.fsf.org/",
      "SUBPICTURE" => "mme1-subline.png",
      
      "TITLE" => "mme1-title",
      "ABSTRACT" => "mme1-abstract",
      "DESCRIPTION" => "mme1-description",
      "AUTHOR" => "mme1-author",
      "KEYWORDS_EN" => "mme1-en-keywords",
      "KEYWORDS_FREE" => "mme1-de-keywords",
      "KEYWORDS_FREE_LANGUAGE" => "de",
      
      "MENU_AREA_HEIGHT" => "96",
      "GUIDE_AREA_WIDTH" => "140",
      
      "BACKGROUND_PICTURE" => "",
      "BACKGROUND_COLOR" => "#00FFFF",

      "TEXT_COLOR" => "#654321",
      "LINK_COLOR" => "blue",
      "VLINK_COLOR" => "red",
      "ALINK_COLOR" => "green",
      "HLINK_COLOR" => "yellow",


      
      "SUB_MENU" => array
      (
      	0 => array
	(
	  "SME_ID" => "sme11",
	  "LINK_TARGET" => "sme11.html",
	  "SME_TEXT" => "sme11",
	  "TITLE" => "sme11-title",
	  "ABSTRACT" => "sme11-abstract",
	  "AUTHOR" => "sme11-author",
      	  "KEYWORDS_EN" => "sme11-en-keywords",
      	  "KEYWORDS_FREE" => "sme11-de-keywords",
      	  "FREE_LANGUAGE" => "de", 

      	  "BACKGROUND_PICTURE" => "",
     	  "BACKGROUND_COLOR" => "#ff0000",

      	  "TEXT_COLOR" => "#00FF88",
      	  "LINK_COLOR" => "#000088",
      	  "VLINK_COLOR" => "#000044",
      	  "ALINK_COLOR" => "#008888",
      	  "HLINK_COLOR" => "#004444",
	),
	
      	1 => array
	(
	  "SME_ID" => "sme12",
	  "LINK_TARGET" => "sme12.html",
	  "SME_TEXT" => "sme12"
	),
      	2 => array
	(
	  "SME_ID" => "sme13",
	  "LINK_TARGET" => "sme13.html",
	  "SME_TEXT" => "sme13",
	  "TITLE" => "sme13-title",
	  "ABSTRACT" => "sme13-abstract",
	  "AUTHOR" => "sme13-author",
      	  "KEYWORDS_EN" => "sme13-en-keywords",
      	  "KEYWORDS_FREE" => "sme13-de-keywords",
      	  "FREE_LANGUAGE" => "de",  

      	  "BACKGROUND_PICTURE" => "",
      	  "BACKGROUND_COLOR" => "#00ff00",

      	  "TEXT_COLOR" => "#FF0000",
      	  "LINK_COLOR" => "#880000",
      	  "VLINK_COLOR" => "#440000",
      	  "ALINK_COLOR" => "#888800",
      	  "HLINK_COLOR" => "#444400",
	),
      	3 => array
	(
	  "SME_ID" => "sme14",
	  "LINK_TARGET" => "sme14.html",
	  "SME_TEXT" => "sme14"
	),
      	4 => array(),
	
      	5 => array
	(
	  "SME_ID" => "sme15",
	  "LINK_TARGET" => "http://www.gnu.org/",
	  "SME_TEXT" => "gnu main page"
	),
      	6 => array
	(
	  "SME_ID" => "sme16",
	  "LINK_TARGET" => "ftp://www.gnu.org/pub/",
	  "SME_TEXT" => "gnu ftp page"
	),
      )
    ),
    
    1 => array
    (
      "MME_ID" => "mme2",

      "MAIN_MENU_TOP_MARGIN" => "64",

      "HEADLINE" => "mme2-headline",
      "HEADPICTURE" => "mme2-headline.png",
      "MME_TEXT" => "mme2-entry",
      "MME_BGSTRIPE_COLOR" => "#004444",
      "MME_BGSTRIPE_SIZE" => "10",
      "ENABLED_BUTTON" => "mme2-select.png",
      "MOUSEOVER_BUTTON" => "mme2-touched.png",
      "MOUSEDOWN_BUTTON" => "mme2-pressed.png",
      "DISABLED_BUTTON" => "mme2-selected.png",
      "SUBLINE" => "mme2-subline",
      "SUBPICTURE" => "mme2-subline.png",

      "TITLE" => "mme2-title",
      "ABSTRACT" => "mme2-abstract",
      "DESCRIPTION" => "mme2-description",
      "AUTHOR" => "mme2-author",
      "KEYWORDS_EN" => "mme2-en-keywords",
      "KEYWORDS_FREE" => "mme2-de-keywords",
      "KEYWORDS_FREE_LANGUAGE" => "de",
      "MENU_AREA_HEIGHT" => "80",
      "GUIDE_AREA_WIDTH" => "140",


      "SUB_MENU" => array
      (
      	0 => array
	(
	  "SME_ID" => "sme21",
	  "LINK_TARGET" => "sme21.html",
	  "SME_TEXT" => "sme21"
	),
      	1 => array
	(
	  "SME_ID" => "sme22",
	  "LINK_TARGET" => "sme22.html",
	  "SME_TEXT" => "sme22",
	  "TITLE" => "sme22-title",
	  "ABSTRACT" => "sme22-abstract",
	  "AUTHOR" => "sme22-author",
      	  "KEYWORDS_EN" => "sme22-en-keywords",
      	  "KEYWORDS_FREE" => "sme22-de-keywords",
      	  "FREE_LANGUAGE" => "de"  
	),
      	2 => array(),
      	3 => array
	(
	  "SME_ID" => "sme23",
	  "LINK_TARGET" => "sme23.html",
	  "SME_TEXT" => "sme23"
	),
      	4 => array
	(
	  "SME_ID" => "sme24",
	  "LINK_TARGET" => "sme24.html",
	  "SME_TEXT" => "sme24"
	),
	
      	5 => array
	(
	  "SME_ID" => "sme25",
	  "LINK_TARGET" => "sme25.html",
	  "SME_TEXT" => "sme25"
	),
      )
    ),
    
    2 => array
    (
      "MME_ID" => "mme3",
      
      "MME_TEXT" => "mme3-entry",
      "MME_BGSTRIPE_COLOR" => "#444400",
      "MME_BGSTRIPE_SIZE" => "2",
      "ENABLED_BUTTON" => "mme3-select.png",
      "MOUSEOVER_BUTTON" => "mme3-touched.png",
      "MOUSEDOWN_BUTTON" => "mme3-pressed.png",
      "DISABLED_BUTTON" => "mme3-selected.png",
      "SUBLINE" => "mme3-subline",
      "SUBPICTURE" => "mme3-subline.png",
      
      "TITLE" => "mme3-title",
      "ABSTRACT" => "mme3-abstract",
      "DESCRIPTION" => "mme3-description",
      "AUTHOR" => "mme3-author",
      "KEYWORDS_EN" => "mme3-en-keywords",
      "KEYWORDS_FREE" => "mme3-de-keywords",
      "KEYWORDS_FREE_LANGUAGE" => "de",
      
      "MENU_AREA_HEIGHT" => "80",
      "GUIDE_AREA_WIDTH" => "140",
      
      "BACKGROUND_PICTURE" => "",
      "BACKGROUND_COLOR" => "#222222",

      "TEXT_COLOR" => "#bbbbbb",
      "LINK_COLOR" => "#00ffff",
      "VLINK_COLOR" => "#008888",
      "ALINK_COLOR" => "#ff0000",
      "HLINK_COLOR" => "#00ff00",

      
      "SUB_MENU" => array
      (
      	0 => array
	(
	  "SME_ID" => "sme31",
	  "LINK_TARGET" => "sme31.html",
	  "SME_TEXT" => "sme31",
	  "TITLE" => "sme31-title",
	  "ABSTRACT" => "sme31-abstract",
	  "AUTHOR" => "sme31-author",
      	  "KEYWORDS_EN" => "sme31-en-keywords",
      	  "KEYWORDS_FREE" => "sme31-de-keywords",
      	  "FREE_LANGUAGE" => "de", 

      	  "BACKGROUND_PICTURE" => "",
     	  "BACKGROUND_COLOR" => "#ff0000",

      	  "TEXT_COLOR" => "#00FF88",
      	  "LINK_COLOR" => "#000088",
      	  "VLINK_COLOR" => "#000044",
      	  "ALINK_COLOR" => "#008888",
      	  "HLINK_COLOR" => "#004444",
	),
	
      	1 => array
	(
	  "SME_ID" => "sme32",
	  "LINK_TARGET" => "sme32.html",
	  "SME_TEXT" => "sme32"
	),
      )
    ),
    
    3 => array
    (
      "MME_ID" => "mme4",
      
      "MAIN_MENU_TOP_MARGIN" => "24",

      "MME_TEXT" => "mme4-entry",
      "MME_BGSTRIPE_COLOR" => "#44000",
      "ENABLED_BUTTON" => "mme4-select.png",
      "MOUSEOVER_BUTTON" => "mme4-touched.png",
      "MOUSEDOWN_BUTTON" => "mme4-pressed.png",
      "DISABLED_BUTTON" => "mme4-selected.png",
      
      "TITLE" => "mme4-title",
      "ABSTRACT" => "mme4-abstract",
      "DESCRIPTION" => "mme4-description",
      "AUTHOR" => "mme4-author",
      "KEYWORDS_EN" => "mme4-en-keywords",
      "KEYWORDS_FREE" => "mme4-de-keywords",
      "KEYWORDS_FREE_LANGUAGE" => "de",
      
      "MENU_AREA_HEIGHT" => "80",
      "GUIDE_AREA_WIDTH" => "140",
      
      "BACKGROUND_PICTURE" => "",
      "BACKGROUND_COLOR" => "#222222",

      "TEXT_COLOR" => "#bbbbbb",
      "LINK_COLOR" => "#00ffff",
      "VLINK_COLOR" => "#008888",
      "ALINK_COLOR" => "#ff0000",
      "HLINK_COLOR" => "#00ff00",

      "SUB_MENU" => array
      (
      	0 => array
	(
	  "SME_ID" => "sme41",
	  "SME_TEXT" => "sme41",

	  "TITLE" => "sme41-title",
	  "ABSTRACT" => "sme41-abstract",
	  "AUTHOR" => "sme41-author",
      	  "KEYWORDS_EN" => "sme41-en-keywords",
      	  "KEYWORDS_FREE" => "sme41-de-keywords",
      	  "FREE_LANGUAGE" => "de", 

      	  "BACKGROUND_PICTURE" => "",
     	  "BACKGROUND_COLOR" => "#ff0000",

      	  "TEXT_COLOR" => "#00FF88",

	  "LINK_TARGET" => "sme41.html",
      	  "LINK_COLOR" => "#000088",
      	  "VLINK_COLOR" => "#000044",
      	  "ALINK_COLOR" => "#008888",
      	  "HLINK_COLOR" => "#004444",
	),
	
      	1 => array
	(
	  "SME_ID" => "sme42",
	  "LINK_TARGET" => "sme42.html",
	  "SME_TEXT" => "sme42"
	),
      )
    ),

  )
);
?>
